%define name xwc
%define version 0.91.4patch1
%define prefix %{_prefix}
%define release 18mdk

Name: %{name}
Summary: A filemanager for X
Version: %{version}
Release: %{release}
License: GPL
Group: File tools
BuildRequires: XFree86-devel
Source0: http://study.haifa.ac.il/~mbaranov/%{name}-%{version}.tar.bz2
Source1: http://study.haifa.ac.il/~mbaranov/fox-0.99.42.tar.bz2 
Source10: %{name}.16.png
Source11: %{name}.32.png
Source12: %{name}.48.png
Patch0:	fox-0.99.42.patch.bz2
Patch1:	fox-0.99.42.patch2.bz2
Patch2:	fox-0.99.42.patch3.bz2
Patch3: xwc-compile.patch.bz2
Patch4: xwc-better-desktop.patch.bz2 
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
X file manager for X11 written using the FOX toolkit.
(http://cyberia.cfdrc.com/FOX/fox.html) It has Windows Commander or MS-Explorer
look and it's very fast and simple. The main features are: file associations,
mount/umount devices, directory tree for quick cd, change file attributes, auto
save registry, compressed archives view/creation/extraction, automatic
query/install/upgrade of rpm's, and much more.

Not required but strongly encouraged to get full use of default file
associations :
. ee for graphics
. xmms for audios
. smpeg-player for videos
. gnozip for compressed archives

rpm utility and text viewer are provided.

# Yes there is the FOX lib inside this spec file. Since xwc is the only
# software to use this lib, and since the xwc binary is not dynamically
# linked, this decision has been taken in accord with QA.


%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build

cd fox
autoconf      # patched configure.in
%configure --without-opengl
%make
cd ..

make CCFLAGS="$RPM_OPT_FLAGS -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_DIRENT_H=1 -fpermissive"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/foxicons
mkdir -p $RPM_BUILD_ROOT%{_libdir}/foxrc
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

make INSTALLDIR=$RPM_BUILD_ROOT/usr drop

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}} 
install %{SOURCE10}  $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install %{SOURCE11}  $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install %{SOURCE12}  $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png 

cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} << EOF
?package(%{name}):\
command="%{name}"\
title="XWC File Manger"\
longtitle="A MS-Explorer-like File Manager for X"\
needs="x11"\
icon="%{name}.png"\
section="System/File Tools"
EOF

#rm dub README
rm -rfd $RPM_BUILD_ROOT/usr/doc/xwc-0.91.4patch1
 
%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_menudir}/%{name}
%{_libdir}/foxicons
%{_libdir}/foxrc
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.4patch1-18mdk
- rebuild for new menu

* Wed Jun 16 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.4patch1-17mdk
- rebuild
- change icons to png
- drop packager tag
- add  fixed menu entry to spec and drop source2
- rm dup doc dir

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.91.4patch1-16mdk
- Rebuild gcc3.2

* Tue Jul 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-15mdk
- rebuild with new libstdc++

* Fri May 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-14mdk
- change default file associations: s/mtvp/plaympeg/ and s/gxtar/gnozip/, add
  a few misc default file associations

* Thu May  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-13mdk
- rebuild against newest libstdc++

* Thu Oct 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-12mdk
- better Desktop defaults

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-11mdk
- fix obsolete-tag Copyright
- fix large-icon-not-in-package
- take a patch from 0.91.5 (0.91.5 is indeed very similar to my 0.91.4patch1)

* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-10mdk
- rebuild

* Wed Jan 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-9mdk
- make it compile (at last)

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-8mdk
- automatically added packager tag

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.91.4patch1-7mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-6mdk
- BM
- macros

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-5mdk
- fixed compile flags to actually compile for i586
- added 32x32 icon
- fixed wrong directory owns
- fixed menu mistake

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-4mdk
- added icon

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-3mdk
- fixed minor bug in "add to archive..."

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-2mdk
- fixed keyboard first-letter browsing bug
- fixed default file sort

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-1mdk
- fixed "associate..." when passed a filename with no extension
- fixed page up/down behaviour
- fixed missing key shortcuts
- added keyboard first-letter browsing

* Thu Mar 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch0-2mdk
- small default filetypes add-on

* Thu Mar 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch0-1mdk
- first release as a mandrake package
- this file manager rocks ! try it.
- customize: better default filetypes associations
- customize: now default start has a tree and a filelist, instead of two filelists
- hack: added support for automatic record of file selectors name/type/size/date/user/group/attr sizes
- hack: now ctrl+a after ctrl+a deselects all [as expected]
- hack: added support for optional automatic record of filetypes associations when invoking "open with"

